<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for ConsolidatedExchangeRateSearch StructType
 * @subpackage Structs
 */
class ConsolidatedExchangeRateSearch extends SearchRecord
{
    /**
     * The basic
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\ConsolidatedExchangeRateSearchBasic
     */
    public $basic;
    /**
     * The fromSubsidiaryJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SubsidiarySearchBasic
     */
    public $fromSubsidiaryJoin;
    /**
     * The periodJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\AccountingPeriodSearchBasic
     */
    public $periodJoin;
    /**
     * The toSubsidiaryJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\SubsidiarySearchBasic
     */
    public $toSubsidiaryJoin;
    /**
     * The userJoin
     * Meta information extracted from the WSDL
     * - minOccurs: 0
     * @var \StructType\EmployeeSearchBasic
     */
    public $userJoin;
    /**
     * Constructor method for ConsolidatedExchangeRateSearch
     * @uses ConsolidatedExchangeRateSearch::setBasic()
     * @uses ConsolidatedExchangeRateSearch::setFromSubsidiaryJoin()
     * @uses ConsolidatedExchangeRateSearch::setPeriodJoin()
     * @uses ConsolidatedExchangeRateSearch::setToSubsidiaryJoin()
     * @uses ConsolidatedExchangeRateSearch::setUserJoin()
     * @param \StructType\ConsolidatedExchangeRateSearchBasic $basic
     * @param \StructType\SubsidiarySearchBasic $fromSubsidiaryJoin
     * @param \StructType\AccountingPeriodSearchBasic $periodJoin
     * @param \StructType\SubsidiarySearchBasic $toSubsidiaryJoin
     * @param \StructType\EmployeeSearchBasic $userJoin
     */
    public function __construct(\StructType\ConsolidatedExchangeRateSearchBasic $basic = null, \StructType\SubsidiarySearchBasic $fromSubsidiaryJoin = null, \StructType\AccountingPeriodSearchBasic $periodJoin = null, \StructType\SubsidiarySearchBasic $toSubsidiaryJoin = null, \StructType\EmployeeSearchBasic $userJoin = null)
    {
        $this
            ->setBasic($basic)
            ->setFromSubsidiaryJoin($fromSubsidiaryJoin)
            ->setPeriodJoin($periodJoin)
            ->setToSubsidiaryJoin($toSubsidiaryJoin)
            ->setUserJoin($userJoin);
    }
    /**
     * Get basic value
     * @return \StructType\ConsolidatedExchangeRateSearchBasic|null
     */
    public function getBasic()
    {
        return $this->basic;
    }
    /**
     * Set basic value
     * @param \StructType\ConsolidatedExchangeRateSearchBasic $basic
     * @return \StructType\ConsolidatedExchangeRateSearch
     */
    public function setBasic(\StructType\ConsolidatedExchangeRateSearchBasic $basic = null)
    {
        $this->basic = $basic;
        return $this;
    }
    /**
     * Get fromSubsidiaryJoin value
     * @return \StructType\SubsidiarySearchBasic|null
     */
    public function getFromSubsidiaryJoin()
    {
        return $this->fromSubsidiaryJoin;
    }
    /**
     * Set fromSubsidiaryJoin value
     * @param \StructType\SubsidiarySearchBasic $fromSubsidiaryJoin
     * @return \StructType\ConsolidatedExchangeRateSearch
     */
    public function setFromSubsidiaryJoin(\StructType\SubsidiarySearchBasic $fromSubsidiaryJoin = null)
    {
        $this->fromSubsidiaryJoin = $fromSubsidiaryJoin;
        return $this;
    }
    /**
     * Get periodJoin value
     * @return \StructType\AccountingPeriodSearchBasic|null
     */
    public function getPeriodJoin()
    {
        return $this->periodJoin;
    }
    /**
     * Set periodJoin value
     * @param \StructType\AccountingPeriodSearchBasic $periodJoin
     * @return \StructType\ConsolidatedExchangeRateSearch
     */
    public function setPeriodJoin(\StructType\AccountingPeriodSearchBasic $periodJoin = null)
    {
        $this->periodJoin = $periodJoin;
        return $this;
    }
    /**
     * Get toSubsidiaryJoin value
     * @return \StructType\SubsidiarySearchBasic|null
     */
    public function getToSubsidiaryJoin()
    {
        return $this->toSubsidiaryJoin;
    }
    /**
     * Set toSubsidiaryJoin value
     * @param \StructType\SubsidiarySearchBasic $toSubsidiaryJoin
     * @return \StructType\ConsolidatedExchangeRateSearch
     */
    public function setToSubsidiaryJoin(\StructType\SubsidiarySearchBasic $toSubsidiaryJoin = null)
    {
        $this->toSubsidiaryJoin = $toSubsidiaryJoin;
        return $this;
    }
    /**
     * Get userJoin value
     * @return \StructType\EmployeeSearchBasic|null
     */
    public function getUserJoin()
    {
        return $this->userJoin;
    }
    /**
     * Set userJoin value
     * @param \StructType\EmployeeSearchBasic $userJoin
     * @return \StructType\ConsolidatedExchangeRateSearch
     */
    public function setUserJoin(\StructType\EmployeeSearchBasic $userJoin = null)
    {
        $this->userJoin = $userJoin;
        return $this;
    }
}
